# Class GetPeersResponse

#### Hierarchy

- unknown
  - GetPeersResponse

- Defined in src/protobuf/pb_pb.d.ts:505
- Defined in src/protobuf/pb_pb.d.ts:527

#####
Index

### Constructors

constructor

### Methods

addReportedPeers
addSupportedCapabilities
clearReportedPeersList
clearSupportedCapabilitiesList
getReportedPeersList
getRequestNonce
getSupportedCapabilitiesList
serializeBinary
setReportedPeersList
setRequestNonce
setSupportedCapabilitiesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPeersResponse(): GetPeersResponse

- #### Returns GetPeersResponse

  Inherited from jspb.Message.constructor

## Methods

### addReportedPeers

- addReportedPeers(value?: Peer, index?: number): Peer

- #### Parameters

  - ##### `Optional` value: Peer

  - ##### `Optional` index: number

  #### Returns Peer

  - Defined in src/protobuf/pb_pb.d.ts:512

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): GetPeersResponse

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:517

### clearReportedPeersList

- clearReportedPeersList(): GetPeersResponse

- #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:511

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): GetPeersResponse

- #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:516

### getReportedPeersList

- getReportedPeersList(): Peer[]

- #### Returns Peer[]

  - Defined in src/protobuf/pb_pb.d.ts:509

### getRequestNonce

- getRequestNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:506

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:514

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:519

### setReportedPeersList

- setReportedPeersList(value: Peer[]): GetPeersResponse

- #### Parameters

  - ##### value: Peer[]

  #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:510

### setRequestNonce

- setRequestNonce(value: number): GetPeersResponse

- #### Parameters

  - ##### value: number

  #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:507

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): GetPeersResponse

- #### Parameters

  - ##### value: number[]

  #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:515

### toObject

- toObject(includeInstance?: boolean): GetPeersResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPeersResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:520

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPeersResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:523

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPeersResponse, reader: BinaryReader): GetPeersResponse

- #### Parameters

  - ##### message: GetPeersResponse

  - ##### reader: BinaryReader

  #### Returns GetPeersResponse

  - Defined in src/protobuf/pb_pb.d.ts:524

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPeersResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPeersResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:522

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPeersResponse): GetPeersResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPeersResponse

  #### Returns GetPeersResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:521

Generated using TypeDoc